Package com.independentsoft.calc

# Enum Class CalcDiagnosticKind

java.lang.Object
java.lang.Enum<CalcDiagnosticKind>
com.independentsoft.calc.CalcDiagnosticKind

All Implemented Interfaces:
  `Serializable`, `Comparable<CalcDiagnosticKind>`, `Constable`

public enum CalcDiagnosticKind extends Enum<CalcDiagnosticKind>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CircularReference`
  `DataTableFormula`
  `EvaluationAborted`
  `EvaluationError`
  `ExternalReference`
  `ParseError`
  `SpillTruncated`
  `UnsupportedFeature`
  `UnsupportedFunction`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CalcDiagnosticKind`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static CalcDiagnosticKind[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ParseError

    public static final CalcDiagnosticKind ParseError

  - ### UnsupportedFunction

    public static final CalcDiagnosticKind UnsupportedFunction

  - ### UnsupportedFeature

    public static final CalcDiagnosticKind UnsupportedFeature

  - ### ExternalReference

    public static final CalcDiagnosticKind ExternalReference

  - ### CircularReference

    public static final CalcDiagnosticKind CircularReference

  - ### DataTableFormula

    public static final CalcDiagnosticKind DataTableFormula

  - ### SpillTruncated

    public static final CalcDiagnosticKind SpillTruncated

  - ### EvaluationError

    public static final CalcDiagnosticKind EvaluationError

  - ### EvaluationAborted

    public static final CalcDiagnosticKind EvaluationAborted

- ## Method Details

  - ### values

    public static CalcDiagnosticKind[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CalcDiagnosticKind valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null